<template>
	<div class="law">
		<jm-box :navList='navList' @navListC='navListC'>
		</jm-box>
	</div>
</template>

<script>	
import { getArticList,getList } from '@/request/api.js'

import jmBox from '@/components/box.vue'
	export default {
		components: {
			jmBox,
		},
		data() {
			return {
				navChoose: 0,
				navList: {
					title: '政策法规',
					url: 'law',
					list: this.$store.state.lawList ||  []
				}
			}
		},
		mounted() {
			this.init()
		},
		methods: {
			navListC(index) {
				this.navChoose = index
			},
			init() {
				this.getList()
			},
			getList() {
				getList({},15).then(({data}) => {
					this.navList.list = data
					this.$store.commit('setLawList',data)
				})
			},
			navListC(index) {
				this.navChoose = index
			}
		}
	}
</script>

<style>
</style>
